#include "p_apps.h"

// Functions in Sdram.c
void SdramInitialize();
void SdramStartup();
void SdramTest(UCHAR iKey);
void SysIdle();

// Functions in Chip.c
void PLLInitialize();
void SysSetMode(UCHAR iKey);
void SysTickBegin();
void SysTickEnd();
void SysSleep1Second();

// Functions in Keypad.c
UCHAR KeypadInitialize();

// Functions in Dsp.c
void DspInitialize();

void DspEncodeFile(UCHAR iKey);
void DspDecodeFile(UCHAR iKey);

void SysTest(UCHAR iKey);

// Functions in Ac97_0.c
void Ac97Initialize();
void Ac97Startup();
void Ac97Run();
void Ac97HandleInterrupt();
void Ac97Test(UCHAR iKey);
void Ac97CodecTest(UCHAR iKey);
void Ac97ReStartup();

// Functions in G729.c
void G729FullTest();

// Functions in G723.c
void G723FullTest();

// Functions in udptest.c
void UdpTestRun();
void UdpTestSend(PXCHAR pSrc, UCHAR iLength);


